> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List trainings

> Retrieve a paginated list of trainings.



## OpenAPI

````yaml /openapi-specs/poplee-training.yaml get /talent-training/api/v1/trainings
openapi: 3.1.0
info:
  title: Lucca Training
  version: '1.0'
  description: |
    Welcome on the documentation for the Lucca Training API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Trainings
    description: Trainings in catalog
  - name: Training-demands
    description: Requests for a training session for an employee.
  - name: Realized-trainings
    description: Past realized training sessions.
paths:
  /talent-training/api/v1/trainings:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Trainings
      summary: List trainings
      description: Retrieve a paginated list of trainings.
      operationId: v1.get-trainings
      parameters:
        - name: search
          description: >-
            Find a training from a string. Search is based on title, subtitle
            and description.
          in: query
          required: false
          schema:
            type: string
            example: French
        - name: providerIds
          description: Filter out trainings by provider ID.
          in: query
          required: false
          schema:
            type: array
            uniqueItems: true
            items:
              type: integer
              format: int32
              minimum: 1
            example:
              - 1
              - 2
              - 3
        - name: categoryIds
          description: Filter out trainings by category ID.
          in: query
          required: false
          schema:
            type: array
            uniqueItems: true
            items:
              type: integer
              format: int32
              minimum: 1
            example:
              - 2
              - 5
              - 6
        - name: id
          in: query
          description: Filter out trainings based on their id.
          schema:
            type: array
            items:
              type: integer
              format: int32
        - $ref: '#/components/parameters/fields.root'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/v2.Collection'
                  - type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/v1.Training'
              examples:
                training:
                  $ref: '#/components/examples/v1.get.trainings.res'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    fields.root:
      name: fields.root
      in: query
      description: >
        Include the total number of items across all pages, as well as pointers
        to the previous and next pages.
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
          enum:
            - prev
            - next
            - count
    page:
      name: page
      in: query
      description: |
        Page to retrieve. Either the page index <int>
        or the page cursor <string>.
      schema:
        oneOf:
          - type: integer
            format: int32
            minimum: 0
          - type: string
    limit:
      name: limit
      in: query
      description: |
        Pagination: number of items per page.
      schema:
        type: integer
        minimum: 0
        maximum: 100
        default: 20
  schemas:
    v2.Collection:
      type: object
      properties:
        count:
          description: >
            Total number of items across all pages. You need to include
            ?fields.root=count to your request to retrieve this.
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        prev:
          description: |
            Cursor to the previous page. You need to include
            ?fields.root=prev in order to retrieve this.
          type:
            - string
            - 'null'
        next:
          description: |
            Cursor to the next page. You need to include
            ?fields.root=next in order to retrieve this.
          type:
            - string
            - 'null'
    v1.Training:
      title: Training
      description: >-
        A training is a structured program of study offered by a training
        provider, focused on teaching specific knowledge or skills.
      type: object
      required:
        - title
        - subtitle
        - description
        - level
        - isCertifying
        - isMandatory
      properties:
        id:
          type: integer
          description: Unique identifier of the training
          format: int32
          readOnly: true
        type:
          type: string
          enum:
            - External
            - Internal
          description: >-
            External trainings are managed by external organizations, whereas
            internal trainings are managed by employees within your company.
        state:
          type: string
          enum:
            - Ready
            - Archived
          description: >-
            - `ready`: the training object is published and as such can be
            referenced by a new realized-training.

            - `archived`: the training object is archived and as such should no
            longer be referenced in new realized-trainings.
        title:
          type: string
          description: Name of the training (maximum length = 250 characters)
        subtitle:
          type: string
          description: Short summary of the training (maximum length = 1000 characters)
        description:
          type: string
          description: >-
            Detailed description of the training (maximum length = 6000
            characters)
        provider:
          type: object
          readOnly: true
          properties:
            id:
              type: integer
              description: Unique identifier of the provider
              format: int32
              readOnly: true
            name:
              type: string
              description: Name of the provider
              readOnly: true
            websiteHref:
              type: string
              description: Remote URL to a page presenting the provider
              format: uri
              readOnly: true
        level:
          $ref: '#/components/schemas/v1.training-level'
        isCertifying:
          type: boolean
          description: Is it an accredited training?
        isMandatory:
          type: boolean
          description: Is the training mandatory according to legal requirements?
        category:
          type: object
          readOnly: true
          properties:
            id:
              type: integer
              description: Unique identifier of the category
              format: int32
              readOnly: true
            name:
              type: string
              description: Name of the category
              readOnly: true
            t9n:
              type: object
              description: Translations object
              properties:
                name:
                  $ref: '#/components/schemas/t9n'
      example:
        id: 45
        state: Ready
        type: External
        title: 'Mastering French: From Basics to Fluency'
        subtitle: A Complete Training Program to Speak, Read, and Write with Confidence
        description: >-
          Unlock the beauty of the French language with this immersive training
          designed for learners at all levels. Whether you're a complete
          beginner or looking to refine your skills, this course covers
          essential grammar, vocabulary, pronunciation, and real-world
          conversation practice. Through interactive lessons, cultural insights,
          and practical exercises, you’ll gain the tools and confidence to use
          French in everyday and professional settings.
        provider:
          id: 12
          name: L'Élan Français
          websiteHref: https://elan-francais.fr
        level: Beginner
        isCertifying: false
        isMandatory: false
        category:
          id: 2
          name: Languages
          t9n:
            name:
              Fr: Langues
              Es: Idiomas
    v1.training-level:
      title: training level
      description: |-
        - `Beginner` : For finding out about the subject
        - `Middle` : For deepening your knowledge
        - `Expert` :  For becoming a specialist
      type: string
      enum:
        - Beginner
        - Middle
        - Expert
    t9n:
      type:
        - object
        - 'null'
      properties:
        De:
          description: German (Germany)
          type:
            - string
            - 'null'
        En:
          description: English (United States of America)
          type:
            - string
            - 'null'
        Es:
          description: Spanish (Spain)
          type:
            - string
            - 'null'
        Fr:
          description: French (France)
          type:
            - string
            - 'null'
        It:
          description: Italian (Italy)
          type:
            - string
            - 'null'
        Nl:
          description: Dutch (Belgium)
          type:
            - string
            - 'null'
        Pt:
          description: Portuguese (Portugal)
          type:
            - string
            - 'null'
  examples:
    v1.get.trainings.res:
      summary: GET trainings response example (v1)
      value:
        items:
          - id: 45
            state: Ready
            type: External
            title: 'Mastering French: From Basics to Fluency'
            subtitle: >-
              A Complete Training Program to Speak, Read, and Write with
              Confidence
            description: >-
              Unlock the beauty of the French language with this immersive
              training designed for learners at all levels. Whether you're a
              complete beginner or looking to refine your skills, this course
              covers essential grammar, vocabulary, pronunciation, and
              real-world conversation practice. Through interactive lessons,
              cultural insights, and practical exercises, you’ll gain the tools
              and confidence to use French in everyday and professional
              settings.
            provider:
              id: 12
              name: L'Élan Français
              websiteHref: https://elan-francais.fr
            level: Beginner
            isCertifying: false
            isMandatory: false
            category:
              id: 2
              name: Languages
              t9n:
                name:
                  Fr: Langues
                  Es: Idiomas
        prev: null
        next: ~f
        count: 1234

````